use std::fmt;

#[repr(u8)]
#[derive(Clone, Debug, PartialEq)]
pub enum ModuleState {
    Uninitialized = 0,
    Ready = 1,
    Running = 2,
    Error = 3,
}

impl fmt::Display for ModuleState {
    fn fmt(&self, f: &mut fmt::Formatter) -> fmt::Result {
        write!(f, "{:?}", self)
    }
}
